# -*- coding: UTF-8 -*-
from setuphelpers import *

def install():
    # Specific app values
    package_version = control.version.split("-")[0]

    # Getting the used storage on programfiles before installation (place it on the top)
    get_disk_free_space_before = get_disk_free_space(programfiles)

    # Installing the package
    install_exe_if_needed("mini_installer_x64.exe", silentflags=" --system-level --do-not-launch-chrome /norestart /i", key="Chromium", min_version=package_version, accept_returncodes=[0, 19, 21])

    uninstallkey.remove("Chromium")

    # Return used storage of the program. (place it on the bottom)
    get_disk_free_space_after = get_disk_free_space(programfiles)
    free_space_after_diff = get_disk_free_space_before - get_disk_free_space_after
    print("Storage used: " + str(free_space_after_diff))


def uninstall():
    soft = installed_softwares("Chromium")[0]

    if soft:
        killalltasks("Chromium")
        run(soft["uninstall_string"] + " --force-uninstall", accept_returncodes=[0, 19, 20, 21])


def session_setup():
    print("Hide API missing message at startup")
    run('setx GOOGLE_API_KEY "no"')
    run('setx GOOGLE_DEFAULT_CLIENT_ID "no"')
    run('setx GOOGLE_DEFAULT_CLIENT_SECRET "no"')
